
# react-native-youtube-downloader

## Getting started

`$ npm install react-native-youtube-downloader --save`

### Mostly automatic installation

`$ react-native link react-native-youtube-downloader`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-youtube-downloader` and add `RNYoutubeDownloader.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNYoutubeDownloader.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNYoutubeDownloaderPackage;` to the imports at the top of the file
  - Add `new RNYoutubeDownloaderPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-youtube-downloader'
  	project(':react-native-youtube-downloader').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-youtube-downloader/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-youtube-downloader')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNYoutubeDownloader.sln` in `node_modules/react-native-youtube-downloader/windows/RNYoutubeDownloader.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Youtube.Downloader.RNYoutubeDownloader;` to the usings at the top of the file
  - Add `new RNYoutubeDownloaderPackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNYoutubeDownloader from 'react-native-youtube-downloader';

// TODO: What to do with the module?
RNYoutubeDownloader;
```
  